List DNS zones

GET /instances/{instance_id}/dnszones

List the DNS zones for a given service instance

Request

Path Parameters

Query Parameters

offset

integer

Specify how many resources to skip over, the default value is 0.

limit

integer

Specify maximum resources might be returned.

vpc_id

string

Specify the VPC ID

Response

200 - Success

dnszones

dnszone_list

An array of DNS zones

offset

integer

The number of resources to skip over

limit

integer

The maximum number of resources might be returned

count

integer

The number of resources are returned

total_count

integer

Total number of resources

first

pagination_ref

href

last

pagination_ref

href

previous

pagination_ref

href

next

pagination_ref

href

400 -

401 -

403 -

404 -

500 -

Create DNS zone

POST /instances/{instance_id}/dnszones

Create a DNS zone for a given service instance

Request

Request Body

dnszone_input

Create a DNS zone.

name

Required *

string

Name of DNS zone

description

string

The text describing the purpose of a DNS zone

label

string

The label of a DNS zone

Response

200 - DNS zone created successfully.

id

string

Unique identifier of a DNS zone

created_on

string

The time when a DNS zone is created.

modified_on

string

The recent time when a DNS zone is modified.

instance_id

string

Unique identifier of a service instance

name

string

Name of the DNS zone. Must be a fully qualified domain name.

description

string

The text describing the purpose of a DNS zone

state

string

State of DNS zone

label

string

The label of a DNS zone

400 -

401 -

403 -

404 -

500 -

Delete DNS zone

DELETE /instances/{instance_id}/dnszones/{dnszone_id}

Delete a DNS zone

Request

Response

204 - The DNS zone was deleted successfully

400 -

401 -

403 -

404 -

500 -

Get DNS zone

GET /instances/{instance_id}/dnszones/{dnszone_id}

Get details of a DNS zone

Request

Response

200 - Success

id

string

Unique identifier of a DNS zone

created_on

string

The time when a DNS zone is created.

modified_on

string

The recent time when a DNS zone is modified.

instance_id

string

Unique identifier of a service instance

name

string

Name of the DNS zone. Must be a fully qualified domain name.

description

string

The text describing the purpose of a DNS zone

state

string

State of DNS zone

label

string

The label of a DNS zone

400 -

401 -

403 -

404 -

500 -

Update DNS zone

PATCH /instances/{instance_id}/dnszones/{dnszone_id}

Update the properties of a DNS zone.

Request

Request Body

dnszone_update_input

Update a dnszone's properties.

description

string

The text describing the purpose of a DNS zone

label

string

The label of a DNS zone

Response

200 - Success

id

string

Unique identifier of a DNS zone

created_on

string

The time when a DNS zone is created.

modified_on

string

The recent time when a DNS zone is modified.

instance_id

string

Unique identifier of a service instance

name

string

Name of the DNS zone. Must be a fully qualified domain name.

description

string

The text describing the purpose of a DNS zone

state

string

State of DNS zone

label

string

The label of a DNS zone

400 -

401 -

403 -

404 -

500 -

List resource records

GET /instances/{instance_id}/dnszones/{dnszone_id}/resource_records

List the Resource Records for a given DNS zone

Request

Path Parameters

Query Parameters

offset

integer

Specify how many resources to skip over, the default value is 0.

limit

integer

Specify maximum resources might be returned.

type

string

Specify the type of resource record to query

name

string

Specify the name of resource record to query

Response

200 - Success

resource_records

resource_record_list

An array of resource records

offset

integer

The number of resources to skip over

limit

integer

The maximum number of resources might be returned

count

integer

The number of resources are returned

total_count

integer

Total number of resources

first

pagination_ref

href

last

pagination_ref

href

previous

pagination_ref

href

next

pagination_ref

href

400 -

401 -

403 -

404 -

500 -

Create resource record

POST /instances/{instance_id}/dnszones/{dnszone_id}/resource_records

Create a resource record for a given DNS zone

Request

Request Body

resource_record_input

Create a resource record.

name

string

Name of the resource record.

type

Required *

string

Type of the resource record.

rdata

object

Content of the resource record.

ttl

integer

Time to live in second.

service

string

Only used for SRV record.

protocol

string

Only used for SRV record.

Response

200 - Resource record created successfully.

id

string

Identifier of the resource record.

created_on

string

The time when a resource record is created.

modified_on

string

The recent time when a resource record is modified.

name

string

Name of the resource record.

type

string

Type of the resource record.

ttl

integer

Time to live in second.

rdata

object

Content of the resource record.

service

string

Only used for SRV record.

protocol

string

Only used for SRV record.

400 -

401 -

403 -

404 -

500 -

Delete resource record

DELETE /instances/{instance_id}/dnszones/{dnszone_id}/resource_records/{record_id}

Delete a resource record

Request

Response

204 - The resource record was deleted successfully

400 -

401 -

403 -

404 -

500 -

Get resource record

GET /instances/{instance_id}/dnszones/{dnszone_id}/resource_records/{record_id}

Get details of a resource record

Request

Response

200 - Success

id

string

Identifier of the resource record.

created_on

string

The time when a resource record is created.

modified_on

string

The recent time when a resource record is modified.

name

string

Name of the resource record.

type

string

Type of the resource record.

ttl

integer

Time to live in second.

rdata

object

Content of the resource record.

service

string

Only used for SRV record.

protocol

string

Only used for SRV record.

400 -

401 -

403 -

404 -

500 -

Update resource record

PUT /instances/{instance_id}/dnszones/{dnszone_id}/resource_records/{record_id}

Update the properties of a resource record.

Request

Request Body

resource_record_update_input

Update a resource record's properties.

name

Required *

string

Name of the resource record.

rdata

Required *

object

Content of the resource record.

ttl

integer

Time to live in second.

service

string

Only used for SRV record.

protocol

string

Only used for SRV record.

Response

200 - Success

id

string

Identifier of the resource record.

created_on

string

The time when a resource record is created.

modified_on

string

The recent time when a resource record is modified.

name

string

Name of the resource record.

type

string

Type of the resource record.

ttl

integer

Time to live in second.

rdata

object

Content of the resource record.

service

string

Only used for SRV record.

protocol

string

Only used for SRV record.

400 -

401 -

403 -

404 -

500 -

Export resource records to a zone file

GET /instances/{instance_id}/dnszones/{dnszone_id}/export_resource_records

Export resource records to a zone file

Request

Response

200 - Success

400 -

401 -

403 -

404 -

500 -

Import resource records from a zone file

POST /instances/{instance_id}/dnszones/{dnszone_id}/import_resource_records

Import resource records from a zone file. The maximum size of a zone file is 8MB.

Request

Request Body

The DNS zone file to be uploaded.

Response

200 - Success

total_records_parsed

integer

Number of records parsed from the zone file

records_added

integer

Number of records imported successfully

records_failed

integer

Number of records failed import

records_added_by_type

record_stats_by_type

Number of records classified by type

records_failed_by_type

record_stats_by_type

Number of records classified by type

messages

array

Error messages

errors

array

Number of records parsed from the zone file

400 -

401 -

403 -

404 -

500 -

List permitted networks

GET /instances/{instance_id}/dnszones/{dnszone_id}/permitted_networks

List the permitted networks for a given DNS zone

Request

Response

200 - Success

permitted_networks

permitted_network_list

An array of permitted networks

400 -

401 -

403 -

404 -

500 -

Create permitted network

POST /instances/{instance_id}/dnszones/{dnszone_id}/permitted_networks

Create a permitted network for a given DNS zone

Request

Request Body

permitted_network_input

Create a permitted network.

type

Required *

string

The type of a permitted network.

permitted_network

Required *

permitted_network_vpc

Permitted network data for VPC

vpc_crn

Required *

string

CRN string uniquely identifies a VPC.

Response

200 - Permitted network created successfully.

id

string

Unique identifier of a permitted network.

created_on

string

The time when a permitted network is created.

modified_on

string

The recent time when a permitted network is modified.

permitted_network

permitted_network_vpc

Permitted network data for VPC

type

string

The type of a permitted network.

state

string

The state of a permitted network.

linked_zone_id

string

Unique identifier of a linked zone through which the permitted network was added.

400 -

401 -

403 -

404 -

500 -

Remove permitted network

DELETE /instances/{instance_id}/dnszones/{dnszone_id}/permitted_networks/{permitted_network_id}

Remove a permitted network

Request

Response

202 - The permitted network removal is in progress.

id

string

Unique identifier of a permitted network.

created_on

string

The time when a permitted network is created.

modified_on

string

The recent time when a permitted network is modified.

permitted_network

permitted_network_vpc

Permitted network data for VPC

type

string

The type of a permitted network.

state

string

The state of a permitted network.

linked_zone_id

string

Unique identifier of a linked zone through which the permitted network was added.

400 -

401 -

403 -

404 -

500 -

Get permitted network

GET /instances/{instance_id}/dnszones/{dnszone_id}/permitted_networks/{permitted_network_id}

Get details of a permitted network

Request

Response

200 - Success

id

string

Unique identifier of a permitted network.

created_on

string

The time when a permitted network is created.

modified_on

string

The recent time when a permitted network is modified.

permitted_network

permitted_network_vpc

Permitted network data for VPC

type

string

The type of a permitted network.

state

string

The state of a permitted network.

linked_zone_id

string

Unique identifier of a linked zone through which the permitted network was added.

400 -

401 -

403 -

404 -

500 -

List load balancers

GET /instances/{instance_id}/dnszones/{dnszone_id}/load_balancers

List the Global Load Balancers for a given DNS zone

Request

Path Parameters

Query Parameters

offset

integer

Specify how many resources to skip over, the default value is 0.

limit

integer

Specify maximum resources might be returned.

Response

200 - Success

load_balancers

load_balancer_list

An array of Global Load Balancers

offset

integer

The number of resources to skip over

limit

integer

The maximum number of resources might be returned

count

integer

The number of resources are returned

total_count

integer

Total number of resources

first

pagination_ref

href

last

pagination_ref

href

previous

pagination_ref

href

next

pagination_ref

href

400 -

401 -

403 -

404 -

500 -

Create load balancer

POST /instances/{instance_id}/dnszones/{dnszone_id}/load_balancers

Create a load balancer for a given DNS zone

Request

Request Body

load_balancer_input

Create a load balancer.

name

Required *

string

Name of the load balancer.

description

string

Descriptive text of the load balancer.

enabled

boolean

Whether the load balancer is enabled.

ttl

integer

Time to live in second.

fallback_pool

Required *

string

The pool ID to use when all other pools are detected as unhealthy.

default_pools

Required *

array

A list of pool IDs ordered by their failover priority. Pools defined here are used by default, or when region_pools are not configured for a given region.

az_pools

az_pools

Map availability zones to pool IDs.

Response

200 - Load balancer created successfully.

id

string

Identifier of the load balancer.

name

string

Name of the load balancer.

description

string

Descriptive text of the load balancer.

enabled

boolean

Whether the load balancer is enabled.

ttl

integer

Time to live in second.

health

string

Healthy state of the load balancer.

fallback_pool

string

The pool ID to use when all other pools are detected as unhealthy.

default_pools

array

A list of pool IDs ordered by their failover priority. Pools defined here are used by default, or when region_pools are not configured for a given region.

az_pools

az_pools

Map availability zones to pool IDs.

created_on

string

The time when a load balancer is created.

modified_on

string

The recent time when a load balancer is modified.

400 -

401 -

403 -

404 -

500 -

Delete load balancer

DELETE /instances/{instance_id}/dnszones/{dnszone_id}/load_balancers/{lb_id}

Delete a load balancer

Request

Response

204 - The load balancer was deleted successfully

400 -

401 -

403 -

404 -

500 -

Get load balancer

GET /instances/{instance_id}/dnszones/{dnszone_id}/load_balancers/{lb_id}

Get details of a load balancer

Request

Response

200 - Success

id

string

Identifier of the load balancer.

name

string

Name of the load balancer.

description

string

Descriptive text of the load balancer.

enabled

boolean

Whether the load balancer is enabled.

ttl

integer

Time to live in second.

health

string

Healthy state of the load balancer.

fallback_pool

string

The pool ID to use when all other pools are detected as unhealthy.

default_pools

array

A list of pool IDs ordered by their failover priority. Pools defined here are used by default, or when region_pools are not configured for a given region.

az_pools

az_pools

Map availability zones to pool IDs.

created_on

string

The time when a load balancer is created.

modified_on

string

The recent time when a load balancer is modified.

400 -

401 -

403 -

404 -

500 -

Update load balancer

PUT /instances/{instance_id}/dnszones/{dnszone_id}/load_balancers/{lb_id}

Update the properties of a load balancer.

Request

Request Body

load_balancer_update_input

Update the properties of a load balancer.

name

string

Name of the load balancer.

description

string

Descriptive text of the load balancer.

enabled

boolean

Whether the load balancer is enabled.

ttl

integer

Time to live in second.

fallback_pool

string

The pool ID to use when all other pools are detected as unhealthy.

default_pools

array

A list of pool IDs ordered by their failover priority. Pools defined here are used by default, or when region_pools are not configured for a given region.

az_pools

az_pools

Map availability zones to pool IDs.

Response

200 - Success

id

string

Identifier of the load balancer.

name

string

Name of the load balancer.

description

string

Descriptive text of the load balancer.

enabled

boolean

Whether the load balancer is enabled.

ttl

integer

Time to live in second.

health

string

Healthy state of the load balancer.

fallback_pool

string

The pool ID to use when all other pools are detected as unhealthy.

default_pools

array

A list of pool IDs ordered by their failover priority. Pools defined here are used by default, or when region_pools are not configured for a given region.

az_pools

az_pools

Map availability zones to pool IDs.

created_on

string

The time when a load balancer is created.

modified_on

string

The recent time when a load balancer is modified.

400 -

401 -

403 -

404 -

500 -

List load balancer pools

GET /instances/{instance_id}/pools

List the load balancer pools

Request

Path Parameters

Query Parameters

offset

integer

Specify how many resources to skip over, the default value is 0.

limit

integer

Specify maximum resources might be returned.

Response

200 - Success

pools

pool_list

An array of load balancer pools

offset

integer

The number of resources to skip over

limit

integer

The maximum number of resources might be returned

count

integer

The number of resources are returned

total_count

integer

Total number of resources

first

pagination_ref

href

last

pagination_ref

href

previous

pagination_ref

href

next

pagination_ref

href

400 -

401 -

403 -

404 -

500 -

Create load balancer pool

POST /instances/{instance_id}/pools

Create a load balancer pool

Request

Request Body

pool_input

Create a load balancer pool.

name

Required *

string

Name of the load balancer pool.

description

string

Descriptive text of the load balancer pool.

enabled

boolean

Whether the load balancer pool is enabled.

healthy_origins_threshold

integer

The minimum number of origins that must be healthy for this pool to serve traffic. If the number of healthy origins falls below this number, the pool will be marked unhealthy and we will failover to the next available pool.

origins

Required *

array

The list of origins within this pool. Traffic directed at this pool is balanced across all currently healthy origins, provided the pool itself is healthy.

monitor

string

The ID of the load balancer monitor to be associated to this pool.

notification_channel

string

The notification channel.

healthcheck_region

string

Health check region of VSIs.

healthcheck_subnets

array

Health check subnet CRN.

Response

200 - Load balancer pool created successfully.

id

string

Identifier of the load balancer pool.

name

string

Name of the load balancer pool.

description

string

Descriptive text of the load balancer pool.

enabled

boolean

Whether the load balancer pool is enabled.

healthy_origins_threshold

integer

The minimum number of origins that must be healthy for this pool to serve traffic. If the number of healthy origins falls below this number, the pool will be marked unhealthy and we will failover to the next available pool.

origins

array

The list of origins within this pool. Traffic directed at this pool is balanced across all currently healthy origins, provided the pool itself is healthy.

monitor

string

The ID of the load balancer monitor to be associated to this pool.

notification_channel

string

The notification channel.

health

string

Healthy state of the load balancer pool.

healthcheck_region

string

Health check region of VSIs.

healthcheck_subnets

array

Health check subnet CRNs.

healthcheck_vsis

array

Health check VSI information.

created_on

string

the time when a load balancer pool is created.

modified_on

string

the recent time when a load balancer pool is modified.

400 -

401 -

403 -

404 -

500 -

Delete load balancer pool

DELETE /instances/{instance_id}/pools/{pool_id}

Delete a load balancer pool

Request

Response

204 - The load balancer pool was deleted successfully

400 -

401 -

403 -

404 -

500 -

Get load balancer pool

GET /instances/{instance_id}/pools/{pool_id}

Get details of a load balancer pool

Request

Response

200 - Success

id

string

Identifier of the load balancer pool.

name

string

Name of the load balancer pool.

description

string

Descriptive text of the load balancer pool.

enabled

boolean

Whether the load balancer pool is enabled.

healthy_origins_threshold

integer

The minimum number of origins that must be healthy for this pool to serve traffic. If the number of healthy origins falls below this number, the pool will be marked unhealthy and we will failover to the next available pool.

origins

array

The list of origins within this pool. Traffic directed at this pool is balanced across all currently healthy origins, provided the pool itself is healthy.

monitor

string

The ID of the load balancer monitor to be associated to this pool.

notification_channel

string

The notification channel.

health

string

Healthy state of the load balancer pool.

healthcheck_region

string

Health check region of VSIs.

healthcheck_subnets

array

Health check subnet CRNs.

healthcheck_vsis

array

Health check VSI information.

created_on

string

the time when a load balancer pool is created.

modified_on

string

the recent time when a load balancer pool is modified.

400 -

401 -

403 -

404 -

500 -

Update load balancer pool

PUT /instances/{instance_id}/pools/{pool_id}

Update the properties of a load balancer pool.

Request

Request Body

pool_update_input

Update the properties of a load balancer pool.

name

string

Name of the load balancer pool.

description

string

Descriptive text of the load balancer pool.

enabled

boolean

Whether the load balancer pool is enabled.

healthy_origins_threshold

integer

The minimum number of origins that must be healthy for this pool to serve traffic. If the number of healthy origins falls below this number, the pool will be marked unhealthy and we will failover to the next available pool.

origins

array

The list of origins within this pool. Traffic directed at this pool is balanced across all currently healthy origins, provided the pool itself is healthy.

monitor

string

The ID of the load balancer monitor to be associated to this pool.

notification_channel

string

The notification channel.

healthcheck_region

string

Health check region of VSIs.

healthcheck_subnets

array

Health check subnet CRNs.

Response

200 - Success

id

string

Identifier of the load balancer pool.

name

string

Name of the load balancer pool.

description

string

Descriptive text of the load balancer pool.

enabled

boolean

Whether the load balancer pool is enabled.

healthy_origins_threshold

integer

The minimum number of origins that must be healthy for this pool to serve traffic. If the number of healthy origins falls below this number, the pool will be marked unhealthy and we will failover to the next available pool.

origins

array

The list of origins within this pool. Traffic directed at this pool is balanced across all currently healthy origins, provided the pool itself is healthy.

monitor

string

The ID of the load balancer monitor to be associated to this pool.

notification_channel

string

The notification channel.

health

string

Healthy state of the load balancer pool.

healthcheck_region

string

Health check region of VSIs.

healthcheck_subnets

array

Health check subnet CRNs.

healthcheck_vsis

array

Health check VSI information.

created_on

string

the time when a load balancer pool is created.

modified_on

string

the recent time when a load balancer pool is modified.

400 -

401 -

403 -

404 -

500 -

List load balancer monitors

GET /instances/{instance_id}/monitors

List the load balancer monitors

Request

Path Parameters

Query Parameters

offset

integer

Specify how many resources to skip over, the default value is 0.

limit

integer

Specify maximum resources might be returned.

Response

200 - Success

monitors

monitor_list

An array of load balancer monitors

offset

integer

The number of resources to skip over

limit

integer

The maximum number of resources might be returned

count

integer

The number of resources are returned

total_count

integer

Total number of resources

first

pagination_ref

href

last

pagination_ref

href

previous

pagination_ref

href

next

pagination_ref

href

400 -

401 -

403 -

404 -

500 -

Create load balancer monitor

POST /instances/{instance_id}/monitors

Create a load balancer monitor

Request

Request Body

monitor_input

Create a load balancer monitor.

name

Required *

string

The name of the load balancer monitor.

description

string

Descriptive text of the load balancer monitor.

type

Required *

string

The protocol to use for the health check. Currently supported protocols are 'HTTP','HTTPS' and 'TCP'.

port

integer

Port number to connect to for the health check. Required for TCP checks. HTTP and HTTPS checks should only define the port when using a non-standard port (HTTP: default 80, HTTPS: default 443).

interval

integer

The interval between each health check. Shorter intervals may improve failover time, but will increase load on the origins as we check from multiple locations.

retries

integer

The number of retries to attempt in case of a timeout before marking the origin as unhealthy. Retries are attempted immediately.

timeout

integer

The timeout (in seconds) before marking the health check as failed.

method

string

The method to use for the health check applicable to HTTP/HTTPS based checks, the default value is 'GET'.

path

string

The endpoint path to health check against. This parameter is only valid for HTTP and HTTPS monitors.

headers

array

The HTTP request headers to send in the health check. It is recommended you set a Host header by default. The User-Agent header cannot be overridden. This parameter is only valid for HTTP and HTTPS monitors.

allow_insecure

boolean

Do not validate the certificate when monitor use HTTPS. This parameter is currently only valid for HTTPS monitors.

expected_codes

string

The expected HTTP response code or code range of the health check. This parameter is only valid for HTTP and HTTPS monitors.

expected_body

string

A case-insensitive sub-string to look for in the response body. If this string is not found, the origin will be marked as unhealthy. This parameter is only valid for HTTP and HTTPS monitors.

Response

200 - Load balancer monitor created successfully.

id

string

Identifier of the load balancer monitor.

name

string

The name of the load balancer monitor.

description

string

Descriptive text of the load balancer monitor.

type

string

The protocol to use for the health check. Currently supported protocols are 'HTTP','HTTPS' and 'TCP'.

port

integer

Port number to connect to for the health check. Required for TCP checks. HTTP and HTTPS checks should only define the port when using a non-standard port (HTTP: default 80, HTTPS: default 443).

interval

integer

The interval between each health check. Shorter intervals may improve failover time, but will increase load on the origins as we check from multiple locations.

retries

integer

The number of retries to attempt in case of a timeout before marking the origin as unhealthy. Retries are attempted immediately.

timeout

integer

The timeout (in seconds) before marking the health check as failed.

method

string

The method to use for the health check applicable to HTTP/HTTPS based checks, the default value is 'GET'.

path

string

The endpoint path to health check against. This parameter is only valid for HTTP and HTTPS monitors.

headers

array

The HTTP request headers to send in the health check. It is recommended you set a Host header by default. The User-Agent header cannot be overridden. This parameter is only valid for HTTP and HTTPS monitors.

allow_insecure

boolean

Do not validate the certificate when monitor use HTTPS. This parameter is currently only valid for HTTPS monitors.

expected_codes

string

The expected HTTP response code or code range of the health check. This parameter is only valid for HTTP and HTTPS monitors.

expected_body

string

A case-insensitive sub-string to look for in the response body. If this string is not found, the origin will be marked as unhealthy. This parameter is only valid for HTTP and HTTPS monitors.

created_on

string

the time when a load balancer monitor is created.

modified_on

string

the recent time when a load balancer monitor is modified.

400 -

401 -

403 -

404 -

500 -

Delete load balancer monitor

DELETE /instances/{instance_id}/monitors/{monitor_id}

Delete a load balancer monitor

Request

Response

204 - The load balancer monitor was deleted successfully

400 -

401 -

403 -

404 -

500 -

Get load balancer monitor

GET /instances/{instance_id}/monitors/{monitor_id}

Get details of a load balancer monitor

Request

Response

200 - Success

id

string

Identifier of the load balancer monitor.

name

string

The name of the load balancer monitor.

description

string

Descriptive text of the load balancer monitor.

type

string

The protocol to use for the health check. Currently supported protocols are 'HTTP','HTTPS' and 'TCP'.

port

integer

Port number to connect to for the health check. Required for TCP checks. HTTP and HTTPS checks should only define the port when using a non-standard port (HTTP: default 80, HTTPS: default 443).

interval

integer

The interval between each health check. Shorter intervals may improve failover time, but will increase load on the origins as we check from multiple locations.

retries

integer

The number of retries to attempt in case of a timeout before marking the origin as unhealthy. Retries are attempted immediately.

timeout

integer

The timeout (in seconds) before marking the health check as failed.

method

string

The method to use for the health check applicable to HTTP/HTTPS based checks, the default value is 'GET'.

path

string

The endpoint path to health check against. This parameter is only valid for HTTP and HTTPS monitors.

headers

array

The HTTP request headers to send in the health check. It is recommended you set a Host header by default. The User-Agent header cannot be overridden. This parameter is only valid for HTTP and HTTPS monitors.

allow_insecure

boolean

Do not validate the certificate when monitor use HTTPS. This parameter is currently only valid for HTTPS monitors.

expected_codes

string

The expected HTTP response code or code range of the health check. This parameter is only valid for HTTP and HTTPS monitors.

expected_body

string

A case-insensitive sub-string to look for in the response body. If this string is not found, the origin will be marked as unhealthy. This parameter is only valid for HTTP and HTTPS monitors.

created_on

string

the time when a load balancer monitor is created.

modified_on

string

the recent time when a load balancer monitor is modified.

400 -

401 -

403 -

404 -

500 -

Update load balancer monitor

PUT /instances/{instance_id}/monitors/{monitor_id}

Update the properties of a load balancer monitor.

Request

Request Body

monitor_update_input

Update the properties of a load balancer monitor.

name

string

The name of the load balancer monitor.

description

string

Descriptive text of the load balancer monitor.

type

string

The protocol to use for the health check. Currently supported protocols are 'HTTP','HTTPS' and 'TCP'.

port

integer

Port number to connect to for the health check. Required for TCP checks. HTTP and HTTPS checks should only define the port when using a non-standard port (HTTP: default 80, HTTPS: default 443).

interval

integer

The interval between each health check. Shorter intervals may improve failover time, but will increase load on the origins as we check from multiple locations.

retries

integer

The number of retries to attempt in case of a timeout before marking the origin as unhealthy. Retries are attempted immediately.

timeout

integer

The timeout (in seconds) before marking the health check as failed.

method

string

The method to use for the health check applicable to HTTP/HTTPS based checks, the default value is 'GET'.

path

string

The endpoint path to health check against. This parameter is only valid for HTTP and HTTPS monitors.

headers

array

The HTTP request headers to send in the health check. It is recommended you set a Host header by default. The User-Agent header cannot be overridden. This parameter is only valid for HTTP and HTTPS monitors.

allow_insecure

boolean

Do not validate the certificate when monitor use HTTPS. This parameter is currently only valid for HTTP and HTTPS monitors.

expected_codes

string

The expected HTTP response code or code range of the health check. This parameter is only valid for HTTP and HTTPS monitors.

expected_body

string

A case-insensitive sub-string to look for in the response body. If this string is not found, the origin will be marked as unhealthy. This parameter is only valid for HTTP and HTTPS monitors.

Response

200 - Success

id

string

Identifier of the load balancer monitor.

name

string

The name of the load balancer monitor.

description

string

Descriptive text of the load balancer monitor.

type

string

The protocol to use for the health check. Currently supported protocols are 'HTTP','HTTPS' and 'TCP'.

port

integer

Port number to connect to for the health check. Required for TCP checks. HTTP and HTTPS checks should only define the port when using a non-standard port (HTTP: default 80, HTTPS: default 443).

interval

integer

The interval between each health check. Shorter intervals may improve failover time, but will increase load on the origins as we check from multiple locations.

retries

integer

The number of retries to attempt in case of a timeout before marking the origin as unhealthy. Retries are attempted immediately.

timeout

integer

The timeout (in seconds) before marking the health check as failed.

method

string

The method to use for the health check applicable to HTTP/HTTPS based checks, the default value is 'GET'.

path

string

The endpoint path to health check against. This parameter is only valid for HTTP and HTTPS monitors.

headers

array

The HTTP request headers to send in the health check. It is recommended you set a Host header by default. The User-Agent header cannot be overridden. This parameter is only valid for HTTP and HTTPS monitors.

allow_insecure

boolean

Do not validate the certificate when monitor use HTTPS. This parameter is currently only valid for HTTPS monitors.

expected_codes

string

The expected HTTP response code or code range of the health check. This parameter is only valid for HTTP and HTTPS monitors.

expected_body

string

A case-insensitive sub-string to look for in the response body. If this string is not found, the origin will be marked as unhealthy. This parameter is only valid for HTTP and HTTPS monitors.

created_on

string

the time when a load balancer monitor is created.

modified_on

string

the recent time when a load balancer monitor is modified.

400 -

401 -

403 -

404 -

500 -

List custom resolvers

GET /instances/{instance_id}/custom_resolvers

List the custom resolvers

Request

Response

200 - Success

custom_resolvers

array

An array of custom resolvers

400 -

401 -

403 -

404 -

500 -

Create a custom resolver

POST /instances/{instance_id}/custom_resolvers

Create a custom resolver

Request

Request Body

custom_resolver_input

Create a custom resolver.

name

Required *

string

Name of the custom resolver.

description

string

Descriptive text of the custom resolver.

locations

array

Locations on which the custom resolver will be running.

profile

string

The profile name of a custom resolver.

Response

200 - custom resolver created successfully.

id

string

Identifier of the custom resolver.

name

string

Name of the custom resolver.

description

string

Descriptive text of the custom resolver.

enabled

boolean

Whether the custom resolver is enabled.

health

string

Healthy state of the custom resolver.

locations

array

Locations on which the custom resolver will be running.

profile

string

The profile name of a custom resolver.

allow_disruptive_updates

boolean

Whether a disruptive update is allowed for the custom resolver.

lifecycle

lifecycle

The lifecycle of a custom resolver.

created_on

string

The time when a custom resolver is created, in RFC3339 format.

modified_on

string

The recent time when a custom resolver is modified, in RFC3339 format.

400 -

401 -

403 -

404 -

500 -

Delete a custom resolver

DELETE /instances/{instance_id}/custom_resolvers/{resolver_id}

Delete a custom resolver

Request

Response

204 - The custom resolver was deleted successfully

400 -

401 -

403 -

404 -

500 -

Get a custom resolver

GET /instances/{instance_id}/custom_resolvers/{resolver_id}

Get details of a custom resolver

Request

Response

200 - Success

id

string

Identifier of the custom resolver.

name

string

Name of the custom resolver.

description

string

Descriptive text of the custom resolver.

enabled

boolean

Whether the custom resolver is enabled.

health

string

Healthy state of the custom resolver.

locations

array

Locations on which the custom resolver will be running.

profile

string

The profile name of a custom resolver.

allow_disruptive_updates

boolean

Whether a disruptive update is allowed for the custom resolver.

lifecycle

lifecycle

The lifecycle of a custom resolver.

created_on

string

The time when a custom resolver is created, in RFC3339 format.

modified_on

string

The recent time when a custom resolver is modified, in RFC3339 format.

400 -

401 -

403 -

404 -

500 -

Update a custom resolver

PATCH /instances/{instance_id}/custom_resolvers/{resolver_id}

Update the properties of a custom resolver.

Request

Request Body

custom_resolver_update_input

Update the properties of a custom resolver.

name

string

Name of the custom resolver.

description

string

Descriptive text of the custom resolver.

enabled

boolean

Whether the custom resolver is enabled.

profile

string

The profile name of a custom resolver.

allow_disruptive_updates

boolean

Whether a disruptive update is allowed for the custom resolver.

Response

200 - Success

id

string

Identifier of the custom resolver.

name

string

Name of the custom resolver.

description

string

Descriptive text of the custom resolver.

enabled

boolean

Whether the custom resolver is enabled.

health

string

Healthy state of the custom resolver.

locations

array

Locations on which the custom resolver will be running.

profile

string

The profile name of a custom resolver.

allow_disruptive_updates

boolean

Whether a disruptive update is allowed for the custom resolver.

lifecycle

lifecycle

The lifecycle of a custom resolver.

created_on

string

The time when a custom resolver is created, in RFC3339 format.

modified_on

string

The recent time when a custom resolver is modified, in RFC3339 format.

400 -

401 -

403 -

404 -

500 -

Update the locations order of a custom resolver (DEPRECATED)

PUT /instances/{instance_id}/custom_resolvers/{resolver_id}/locations_order

Update the locations order of a custom resolver

Request

Request Body

locations_order_update_input

Update the properties of a custom resolver.

locations

Required *

array

Array of custom resolver location ID.

Response

200 - Success

id

string

Identifier of the custom resolver.

name

string

Name of the custom resolver.

description

string

Descriptive text of the custom resolver.

enabled

boolean

Whether the custom resolver is enabled.

health

string

Healthy state of the custom resolver.

locations

array

Locations on which the custom resolver will be running.

profile

string

The profile name of a custom resolver.

allow_disruptive_updates

boolean

Whether a disruptive update is allowed for the custom resolver.

lifecycle

lifecycle

The lifecycle of a custom resolver.

created_on

string

The time when a custom resolver is created, in RFC3339 format.

modified_on

string

The recent time when a custom resolver is modified, in RFC3339 format.

400 -

401 -

403 -

404 -

500 -

Add custom resolver location

POST /instances/{instance_id}/custom_resolvers/{resolver_id}/locations

Add custom resolver location

Request

Request Body

location_input

Add custom resolver location

subnet_crn

Required *

string

Custom resolver location, subnet CRN.

enabled

boolean

Enable/Disable custom resolver location.

Response

200 - Success

id

string

Location ID.

subnet_crn

string

Subnet CRN.

enabled

boolean

Whether the location is enabled for the custom resolver.

healthy

boolean

Whether the DNS server in this location is healthy or not.

dns_server_ip

string

The ip address of this dns server.

400 -

401 -

403 -

500 -

Update custom resolver location

PATCH /instances/{instance_id}/custom_resolvers/{resolver_id}/locations/{location_id}

Update custom resolver location

Request

Request Body

location_update_input

Update custom resolver location

enabled

boolean

Enable/Disable custom resolver location.

subnet_crn

string

Subnet CRN.

Response

200 - Success

id

string

Location ID.

subnet_crn

string

Subnet CRN.

enabled

boolean

Whether the location is enabled for the custom resolver.

healthy

boolean

Whether the DNS server in this location is healthy or not.

dns_server_ip

string

The ip address of this dns server.

400 -

401 -

403 -

500 -

Delete custom resolver location

DELETE /instances/{instance_id}/custom_resolvers/{resolver_id}/locations/{location_id}

Delete custom resolver location

Request

Response

204 - The custom resolver location was deleted successfully

400 -

401 -

403 -

500 -

List forwarding rules

GET /instances/{instance_id}/custom_resolvers/{resolver_id}/forwarding_rules

List the forwarding rules of the given custom resolver

Request

Path Parameters

Query Parameters

offset

integer

Specify how many resources to skip over, the default value is 0.

limit

integer

Specify maximum resources might be returned.

Response

200 - Success

forwarding_rules

forwarding_rules

An array of forwarding rules

offset

integer

The number of resources to skip over

limit

integer

The maximum number of resources might be returned

count

integer

The number of resources are returned

total_count

integer

Total number of resources

first

pagination_ref

href

last

pagination_ref

href

previous

pagination_ref

href

next

pagination_ref

href

400 -

401 -

403 -

404 -

500 -

Create a forwarding rule

POST /instances/{instance_id}/custom_resolvers/{resolver_id}/forwarding_rules

Create a forwarding rule for the given custom resolver. The maximum number limit of forwarding rules depends on the custom resolver profile.

  • Essential profiles can have a maximum of 10 forwarding rules.
  • Advanced profiles can have a maximum of 50 forwarding rules.
  • Premier profiles can have a maximum of 100 forwarding rules.

Request

Request Body

forwarding_rule_input

Create a forwarding rule.

forward_to

Required *

forwarding_rule_forward_to

The upstream DNS servers that the DNS queries will be forwarded to.

views

Required *

forwarding_rule_views

An array of views.

description

string

Descriptive text of the forwarding rule.

type

Required *

string

Type of the forwarding rule.

match

Required *

string

The matching zone or hostname.

Response

200 - forwarding rule created successfully.

id

string

Identifier of the forwarding rule.

description

string

Descriptive text of the forwarding rule.

type

string

Type of the forwarding rule.

match

string

The matching zone or hostname.

forward_to

array

The upstream DNS servers that the DNS queries will be forwarded to.

views

array

An array of views.

created_on

string

The time when a forwarding rule is created, in RFC3339 format.

modified_on

string

The recent time when a forwarding rule is modified, in RFC3339 format.

400 -

401 -

403 -

404 -

500 -

Delete a forwarding rule

DELETE /instances/{instance_id}/custom_resolvers/{resolver_id}/forwarding_rules/{rule_id}

Delete a forwarding rule on the given custom resolver

Request

Response

204 - The forwarding rule was deleted successfully

400 -

401 -

403 -

404 -

500 -

Get a forwarding rule

GET /instances/{instance_id}/custom_resolvers/{resolver_id}/forwarding_rules/{rule_id}

Get details of a forwarding rule on the given custom resolver

Request

Response

200 - Success

id

string

Identifier of the forwarding rule.

description

string

Descriptive text of the forwarding rule.

type

string

Type of the forwarding rule.

match

string

The matching zone or hostname.

forward_to

array

The upstream DNS servers that the DNS queries will be forwarded to.

views

array

An array of views.

created_on

string

The time when a forwarding rule is created, in RFC3339 format.

modified_on

string

The recent time when a forwarding rule is modified, in RFC3339 format.

400 -

401 -

403 -

404 -

500 -

Update a forwarding rule

PATCH /instances/{instance_id}/custom_resolvers/{resolver_id}/forwarding_rules/{rule_id}

Update the properties of a forwarding rule on the given custom resolver.

Request

Request Body

forwarding_rule_update_input

Update the properties of a forwarding rule.

description

string

Descriptive text of the forwarding rule.

match

string

The matching zone or hostname. For the default forwarding rule, the match must always be the wildcard '*', and can not be changed.

forward_to

array

The upstream DNS servers that the DNS queries will be forwarded to.

views

array

An array of views.

Response

200 - Success

id

string

Identifier of the forwarding rule.

description

string

Descriptive text of the forwarding rule.

type

string

Type of the forwarding rule.

match

string

The matching zone or hostname.

forward_to

array

The upstream DNS servers that the DNS queries will be forwarded to.

views

array

An array of views.

created_on

string

The time when a forwarding rule is created, in RFC3339 format.

modified_on

string

The recent time when a forwarding rule is modified, in RFC3339 format.

400 -

401 -

403 -

404 -

500 -

Create a secondary zone

POST /instances/{instance_id}/custom_resolvers/{resolver_id}/secondary_zones

Create a secondary zone for a given custom resolver. The maximum number limit of secondary zones depends on the custom resolver profile.

  • Essential profiles can have a maximum of 10 secondary zones.
  • Advanced profiles can have a maximum of 50 secondary zones.
  • Premier profiles can have a maximum of 100 secondary zones.

Request

Request Body

secondary_zone_input

Request data of creating secondary zone

description

string

Descriptive text of the secondary zone

zone

Required *

string

zone name

enabled

boolean

Enable/Disable the secondary zone

transfer_from

Required *

secondary_zone_transfer_from_input

The addresses of DNS servers where the secondary zone data should be transferred from

Response

200 - Success

id

string

Identifier of the secondary zone

description

string

Descriptive text of the secondary zone

zone

string

zone name

enabled

boolean

Enable/Disable the secondary zone

transfer_from

secondary_zone_transfer_from_output

The addresses of DNS servers where the secondary zone data should be transferred from

created_on

string

The time when a secondary zone is created

modified_on

string

The recent time when a secondary zone is modified

400 -

401 -

403 -

404 -

500 -

List secondary zones

GET /instances/{instance_id}/custom_resolvers/{resolver_id}/secondary_zones

List secondary zones for the custom resolver

Request

Path Parameters

Query Parameters

offset

integer

Specify how many resources to skip over, the default value is 0.

limit

integer

Specify maximum resources might be returned.

Response

200 - Success

secondary_zones

array

Secondary zones

offset

integer

The number of resources to skip over

limit

integer

The maximum number of resources might be returned

count

integer

The number of resources are returned

total_count

integer

Total number of resources

first

pagination_ref

href

last

pagination_ref

href

previous

pagination_ref

href

next

pagination_ref

href

400 -

401 -

403 -

404 -

500 -

Get a secondary zone

GET /instances/{instance_id}/custom_resolvers/{resolver_id}/secondary_zones/{secondary_zone_id}

Get details of a secondary zone for the custom resolver

Request

Response

200 - Success

id

string

Identifier of the secondary zone

description

string

Descriptive text of the secondary zone

zone

string

zone name

enabled

boolean

Enable/Disable the secondary zone

transfer_from

secondary_zone_transfer_from_output

The addresses of DNS servers where the secondary zone data should be transferred from

created_on

string

The time when a secondary zone is created

modified_on

string

The recent time when a secondary zone is modified

400 -

401 -

403 -

404 -

500 -

Update a secondary zone

PATCH /instances/{instance_id}/custom_resolvers/{resolver_id}/secondary_zones/{secondary_zone_id}

Update a secondary zone for the custom resolver

Request

Request Body

secondary_zone_update_input

Request data of updating secondary zone

description

string

Descriptive text of the secondary zone

enabled

boolean

Enable/Disable the secondary zone

transfer_from

secondary_zone_transfer_from_input

The addresses of DNS servers where the secondary zone data should be transferred from

Response

200 - Success

id

string

Identifier of the secondary zone

description

string

Descriptive text of the secondary zone

zone

string

zone name

enabled

boolean

Enable/Disable the secondary zone

transfer_from

secondary_zone_transfer_from_output

The addresses of DNS servers where the secondary zone data should be transferred from

created_on

string

The time when a secondary zone is created

modified_on

string

The recent time when a secondary zone is modified

400 -

401 -

403 -

404 -

500 -

Delete a secondary zone

DELETE /instances/{instance_id}/custom_resolvers/{resolver_id}/secondary_zones/{secondary_zone_id}

Delete a secondary zone for the custom resolver

Request

Response

204 - Success

400 -

401 -

403 -

404 -

500 -

List linked zones

GET /instances/{instance_id}/linked_dnszones

List linked zones in requestor's instance

Request

Path Parameters

Query Parameters

offset

integer

Specify how many resources to skip over, the default value is 0.

limit

integer

Specify maximum resources might be returned.

Response

200 - Success

linked_dnszones

array

The list of linked zones

offset

integer

The number of resources to skip over

limit

integer

The maximum number of resources might be returned

count

integer

The number of resources are returned

total_count

integer

Total number of resources

first

pagination_ref

href

last

pagination_ref

href

previous

pagination_ref

href

next

pagination_ref

href

400 -

401 -

403 -

404 -

500 -

Create a linked zone

POST /instances/{instance_id}/linked_dnszones

Create a linked zone

Request

Request Body

linked_dnszone_input

Create a linked zone

owner_instance_id

Required *

string

Owner's instance ID

owner_zone_id

Required *

string

Owner's DNS zone ID

description

string

Descriptive text of the linked zone

label

string

The label of linked zone

Response

200 - Linked zone created successfully

id

string

Identifier of the linked zone

instance_id

string

Unique identifier of a service instance

name

string

Name of owner's DNS zone

description

string

Descriptive text of the linked zone

linked_to

object

The owner's instance and zone that the zone is linked to

state

string

The state of linked zone

label

string

The label of linked zone

approval_required_before

string

The expired time of linked zone with state `approval pending`

created_on

string

The time when the linked zone is created

modified_on

string

The recent time when the linked zone is modified

400 -

401 -

403 -

404 -

500 -

Get a linked zone

GET /instances/{instance_id}/linked_dnszones/{linked_dnszone_id}

Get details of a linked zone

Request

Response

200 - Success

id

string

Identifier of the linked zone

instance_id

string

Unique identifier of a service instance

name

string

Name of owner's DNS zone

description

string

Descriptive text of the linked zone

linked_to

object

The owner's instance and zone that the zone is linked to

state

string

The state of linked zone

label

string

The label of linked zone

approval_required_before

string

The expired time of linked zone with state `approval pending`

created_on

string

The time when the linked zone is created

modified_on

string

The recent time when the linked zone is modified

400 -

401 -

403 -

404 -

500 -

Update the properties of a linked zone

PATCH /instances/{instance_id}/linked_dnszones/{linked_dnszone_id}

Update the properties of a linked zone

Request

Request Body

linked_dnszone_update_input

Update the properties of a linked zone

description

string

Descriptive text of the linked zone

label

string

The label of linked zone

Response

200 - Success

id

string

Identifier of the linked zone

instance_id

string

Unique identifier of a service instance

name

string

Name of owner's DNS zone

description

string

Descriptive text of the linked zone

linked_to

object

The owner's instance and zone that the zone is linked to

state

string

The state of linked zone

label

string

The label of linked zone

approval_required_before

string

The expired time of linked zone with state `approval pending`

created_on

string

The time when the linked zone is created

modified_on

string

The recent time when the linked zone is modified

400 -

401 -

403 -

404 -

500 -

Delete a linked zone

DELETE /instances/{instance_id}/linked_dnszones/{linked_dnszone_id}

Delete a linked zone

Request

Response

204 - The linked zone was deleted successfully

400 -

401 -

403 -

404 -

500 -

List Access Requests

GET /instances/{instance_id}/dnszones/{dnszone_id}/access_requests

List access requests in owner's instance

Request

Path Parameters

Query Parameters

offset

integer

Specify how many resources to skip over, the default value is 0.

limit

integer

Specify maximum resources might be returned.

Response

200 - Success

access_requests

array

The list of access requests

offset

integer

The number of resources to skip over

limit

integer

The maximum number of resources might be returned

count

integer

The number of resources are returned

total_count

integer

Total number of resources

first

pagination_ref

href

last

pagination_ref

href

previous

pagination_ref

href

next

pagination_ref

href

400 -

401 -

403 -

404 -

500 -

Get an access request

GET /instances/{instance_id}/dnszones/{dnszone_id}/access_requests/{request_id}

Get details of an access request

Request

Response

200 - Success

id

string

Access request ID

requestor

object

The information of requestor

zone_id

string

The zone ID that requestor requests access for

zone_name

string

The zone name that requestor requests access for

state

string

The state of the access request

pending_expires_at

string

The expired time of access request with state `pending`

created_on

string

The time when the linked zone is created

modified_on

string

The recent time when the linked zone is modified

400 -

401 -

403 -

404 -

500 -

Update an access request

PATCH /instances/{instance_id}/dnszones/{dnszone_id}/access_requests/{request_id}

Update the state of an access request

Request

Request Body

access_request_patch_input

Update the state of an access request

action

Required *

string

The action applies to the access request

Response

200 - Success

id

string

Access request ID

requestor

object

The information of requestor

zone_id

string

The zone ID that requestor requests access for

zone_name

string

The zone name that requestor requests access for

state

string

The state of the access request

pending_expires_at

string

The expired time of access request with state `pending`

created_on

string

The time when the linked zone is created

modified_on

string

The recent time when the linked zone is modified

400 -

401 -

403 -

404 -

500 -

List permitted networks

GET /instances/{instance_id}/linked_dnszones/{linked_dnszone_id}/permitted_networks

List the permitted networks for a linked zone

Request

Response

200 - Success

permitted_networks

permitted_network_list

An array of permitted networks

400 -

401 -

403 -

404 -

500 -

Create a permitted network

POST /instances/{instance_id}/linked_dnszones/{linked_dnszone_id}/permitted_networks

Create a permitted network for a linked zone

Request

Request Body

permitted_network_input

Create a permitted network

type

Required *

string

The type of a permitted network.

permitted_network

Required *

permitted_network_vpc

Permitted network data for VPC

vpc_crn

Required *

string

CRN string uniquely identifies a VPC.

Response

200 - Permitted network created successfully.

id

string

Unique identifier of a permitted network.

created_on

string

The time when a permitted network is created.

modified_on

string

The recent time when a permitted network is modified.

permitted_network

permitted_network_vpc

Permitted network data for VPC

type

string

The type of a permitted network.

state

string

The state of a permitted network.

linked_zone_id

string

Unique identifier of a linked zone through which the permitted network was added.

400 -

401 -

403 -

404 -

500 -

Remove a permitted network

DELETE /instances/{instance_id}/linked_dnszones/{linked_dnszone_id}/permitted_networks/{permitted_network_id}

Remove a permitted network from a linked zone

Request

Response

202 - The permitted network removal is in progress

id

string

Unique identifier of a permitted network.

created_on

string

The time when a permitted network is created.

modified_on

string

The recent time when a permitted network is modified.

permitted_network

permitted_network_vpc

Permitted network data for VPC

type

string

The type of a permitted network.

state

string

The state of a permitted network.

linked_zone_id

string

Unique identifier of a linked zone through which the permitted network was added.

400 -

401 -

403 -

404 -

500 -

Get a permitted network

GET /instances/{instance_id}/linked_dnszones/{linked_dnszone_id}/permitted_networks/{permitted_network_id}

Get a permitted network of a linked zone

Request

Response

200 - Success

id

string

Unique identifier of a permitted network.

created_on

string

The time when a permitted network is created.

modified_on

string

The recent time when a permitted network is modified.

permitted_network

permitted_network_vpc

Permitted network data for VPC

type

string

The type of a permitted network.

state

string

The state of a permitted network.

linked_zone_id

string

Unique identifier of a linked zone through which the permitted network was added.

400 -

401 -

403 -

404 -

500 -